import java.util.Scanner;

/**
 * CountPosNeg - reports number of pos & neg values
 *     entered by user after they type zero.
 *     (sentinel-controlled input loop)
 *
 * @author Section0X
 * @version 1.00 2012/10/17
 */

public class CountPosNeg
{
   public static void main( String[] args)
   {
      Scanner scan = new Scanner( System.in);
      
      System.out.println( "Start of CountPosNeg\n");
      
      // CONSTANTS
      final int SENTINEL = 0;
      
      // VARIABLES
      int  noOfPos;
      int  noOfNeg;
      int  value;
      
      // PROGRAM CODE
      noOfPos = 0;
      noOfNeg = 0;
      
      System.out.println( "Enter set of values (0 to stop)...");
      
      // read value
      value = scan.nextInt();
      
      // while value is not sentinel
      while( value != SENTINEL)
      {
         // process value
         if ( value > 0)
         {
            noOfPos = noOfPos + 1;
         }
         else
         {
            noOfNeg = noOfNeg + 1;
         }
         
         // read value
         value = scan.nextInt();
      }
      
      System.out.println();
      System.out.println( noOfPos + " positive values and");
      System.out.println( noOfNeg + " negative values entered");
      
      
      System.out.println( "\nEnd of CountPosNeg\n" );
   }
   
} // end of class CountPosNeg
