import java.util.Scanner;

/**
 * DoWhilePlay - playing around with do-while statement
 *
 * @author Section0X
 * @version 1.00 2012/10/22
 */

public class DoWhilePlay
{
   public static void main( String[] args)
   {
      Scanner scan = new Scanner( System.in);
      
      System.out.println( "Start of DoWhilePlay\n");
      
      // CONSTANTS
      
      // VARIABLES
      int   i;
      String  again;
      int   option;
      
      
      // PROGRAM CODE
      
      // **********************************************************
      // Data entry validation
      // -- if error msg required?
      //  mod this or use while statement.
      // **********************************************************
      do
      {
         System.out.print( "Enter value btw 5 & 9: " );
         i = scan.nextInt();
         
      } while ( i <= 5 || i >= 9 );
      // assert: i > 5 && i < 9
      System.out.println( "Value of i is = " + i);
      System.out.println();
      
      scan.nextLine();  // clear input line!
      
      
      // **********************************************************
      // Repeat any code segment again if user wishes...
      // **********************************************************
      do
      {
         System.out.println( "\nPlay it again Sam...\n");
         
         System.out.print( "Continue (Y/N)? " );
         again = scan.nextLine();
         
      } while ( again.equalsIgnoreCase( "Y") );
      System.out.println();
      
      
      // **********************************************************
      // Menu-driven program...
      // **********************************************************
      do
      {
         System.out.println( "Famous Quotations from films..." );
         System.out.println( "1 - Casablanca" );
         System.out.println( "2 - Old Man and the Sea" );
         System.out.println( "3 - Romeo and Juliet" );
         System.out.println();
         
         System.out.print( "Enter option number (0 to quit): " );
         option = scan.nextInt();
         
         if ( option == 1)
         {
            System.out.println( "\nPlay it again Sam...\n");
         }
         else if ( option == 2)
         {
            System.out.println( "\nWater, water everywhere...\n");
         }
         else if ( option == 3)
         {
            System.out.println( "\nRomeo, Romeo, wherefore art thou...\n");
         }
         else
            System.out.println( "\nInvalid option!\n");  // oops...!
         
      } while ( option != 0 );
      
      System.out.println( "bye...");
      System.out.println();
      
      
      // **********************************************************
      System.out.println( "\nEnd of DoWhilePlay\n" );
      
      
      
   }
   
} // end of class DoWhilePlay
