/*
 Write a program that asks the user to enter an integer number N, 
 then prints a triangle with N lines of stars or numbers. For example, if N is 4
 */

public class Triangle {
   
   public static void main(String args[]){
      final int LEVEL = 4; // assume the triangle will have 4 levels
      
      int count = 0;
      while (count < LEVEL) { // repeat for each level
         
         int space = 0;
         while (space < (LEVEL - count)){ // print the spaces of each level
            System.out.print(" ");
            space = space + 1;
         }
         
         int stars = 0;
         while (stars < (2 * count + 1)){ // print the stars of each level
            System.out.print("*");
            stars = stars + 1;
         }
         
         System.out.println(""); // go to the next line for the next level
         count = count + 1;
      }
   }
}
